include:
  - https://introspectdata.gitlab.io/ops/cicd/gitlab-ci/base/global.yml
  - https://introspectdata.gitlab.io/ops/cicd/gitlab-ci/base/scan.yml
  - https://introspectdata.gitlab.io/ops/cicd/gitlab-ci/base/container.yml

build: 
  extends: .container-build-publish 
  except: 
    - schedules
  variables: 
    ADDITIONAL_BUILD_ARGS: "--build-arg AIRFLOW_VERSION=1.10.3 --build-arg AIRFLOW_DEPS=google_auth"

containerScan:
  extends: .container-scan
  only:
    - schedules